Subject: Re: [Capwap] Issue 156: Need more details on use of DNS for discovery

From: <[email-masked]>
Date: Thu, 7 Aug 2008 12:27:21 +0300

Hi Pat,

The 'DNS name "CAPWAP-AC-Address" MAY be resolvable' part still
isn't quite right; that DNS name won't be resolvable (which 
is clear after reading the third sentence). Also, some more details 
would be helpful for the SRV record part. Would something like this
match your intent?

  DNS: The WTP MAY support use of DNS SRV records [RFC2782] to
  discover the AC address(es).  In this case, the WTP first obtains
  (e.g., from local configuration) the correct domain name suffix
  (e.g., "example.com") and performs a SRV lookup with Service name
  "capwap-control" and Proto "udp". Thus, the name resolved in DNS
  would be, e.g., "_capwap-control._udp.example.com".  Note that the
  SRV record MAY specify a non-default port number for the control
  channel; the port number for the data channel is the next 
  port number (control channel port + 1).

(I'm assuming the use of the IANA-assigned service name, instead of
non-registered "CAPWAP-AC-Address"; and with this text about SRV port
number handling, you might need small tweaking in Section 3.1, too.
Or you might want to handle port number in some other way.)

Best regards,
Pasi

> -----Original Message-----
> From: ext Pat Calhoun (pacalhou) [mailto:[email-masked]] 
> Sent: 31 July, 2008 01:38
> To: Eronen Pasi (Nokia-NRC/Helsinki); [email-masked]
> Subject: RE: Issue 156: Need more details on use of DNS for discovery
> 
> My apologies, Pasi. I'm not sure what I was thinking when I wrote the
> text.
> 
> What I should have sent was:
> 
> <text>
>    DNS:  The DNS name "CAPWAP-AC-Address" MAY be resolvable to one or
>       more AC addresses.  A WTP that wishes to make use of DNS SHOULD
>       use the format described in [RFC2782].  The recommended 
> format for
>       a lookup would be CAPWAP-AC-Address._udp.example.com.
> </text>
> 
> Does that make more sense?
> 
> PatC 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Wednesday, July 30, 2008 12:29 PM
> To: Pat Calhoun (pacalhou); [email-masked]
> Subject: RE: Issue 156: Need more details on use of DNS for discovery
> 
> Pat Calhoun wrote:
> >
> > Pasi's comment was:
> > 
> >    Section 3.3: there's a single sentence about DNS-based discovery;
> >    probably slightly more details would be useful.
> > 
> > Well... There's not much else we can say, but I am proposing the 
> > following text In hopes that it will provide more clarity to the 
> > implementor.
> > 
> > <new text>
> > 3.3.  AC Discovery
> > [...]
> >       DNS: The DNS name "CAPWAP-AC-Address" MAY be resolvable to one
> >       or more AC addresses.  A WTP that wishes to make use of DNS 
> >       SHOULD use the format described in [RFC2782].  The 
> recommended 
> >       format for a lookup would be _capwap._udp.example.com.
> > </new text>
> 
> I have some trouble parsing the 'The DNS name 
> "CAPWAP-AC-Address" MAY be
> resolvable...' part. It seems to be suggesting doing a DNS 
> query for DNS
> name "CAPWAP-AC-Address" -- or in other words, defining a new 
> Top-Level
> Domain. That probably isn't a good idea.
> 
> The two latter sentences are also leaving awfully lot of 
> details to the
> implementor -- RFC2782 has specific requirements about the labels etc.
> (E.g. RFC 3861 has much more text about using SRV records for another
> purpose.)
> 
> Best regards,
> Pasi
> 
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: Margaret Wasserman <[email-masked]>
Date: Thu, 7 Aug 2008 08:42:36 -0400

FWIW, Pasi's wording sounds good to me.  I also agree that we should  
ask for an IANA-assigned service name, which implies a related change  
to the IANA Considerations.

Margaret

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Thu, 7 Aug 2008 09:27:15 -0700

The IANA service name has already been taken care of, and is already in
the IANA Considerations section in -12 (as requested during WG LC). I
do, however, have an issue with the last sentence in Pasi's proposed
text, as it states that data channel is control+1. However, in the
previous sentence he clearly states that control MAY NOT be the default
(assigned) port. So I would prefer to change the last sentence to:

"Note that the SRV record MAY specify a non-default port number for the
control channel; the default port number for the data channel is the
next port number (control channel port + 1). However, in the case where
the control channel uses a non-default port number, the WTP MAY perform
a SRV lookup with Service name "capwap-data" and Proto "udp". Thus, the
name resolved in DNS would be e.g., "_capwap-data._udp.example.com"."

Comments?

PatC 

-----Original Message-----
From: Margaret Wasserman [mailto:[email-masked]] 
Sent: Thursday, August 07, 2008 5:43 AM
To: [email-masked]
Cc: Pat Calhoun (pacalhou); [email-masked]
Subject: Re: [Capwap] Issue 156: Need more details on use of DNS for
discovery

FWIW, Pasi's wording sounds good to me.  I also agree that we should ask
for an IANA-assigned service name, which implies a related change to the
IANA Considerations.

Margaret

On Aug 7, 2008, at 5:27 AM, <[email-masked]>
<[email-masked]> wrote:

> Hi Pat,
>
> The 'DNS name "CAPWAP-AC-Address" MAY be resolvable' part still isn't 
> quite right; that DNS name won't be resolvable (which is clear after 
> reading the third sentence). Also, some more details would be helpful 
> for the SRV record part. Would something like this match your intent?
>

>>       use the format described in [RFC2782].  The recommended format 
>> for
>> I have some trouble parsing the 'The DNS name "CAPWAP-AC-Address" MAY

>> be resolvable...' part. It seems to be suggesting doing a DNS query 
>> for DNS name "CAPWAP-AC-Address" -- or in other words, defining a new

>> Top-Level Domain. That probably isn't a good idea.
>>
>> The two latter sentences are also leaving awfully lot of details to 
>> the implementor -- RFC2782 has specific requirements about the labels

>> etc.

---

From: <[email-masked]>
Date: Thu, 7 Aug 2008 19:47:42 +0300

Pat Calhoun wrote:
> 
> The IANA service name has already been taken care of, and is already
> in the IANA Considerations section in -12 (as requested during WG
> LC). I do, however, have an issue with the last sentence in Pasi's
> proposed text, as it states that data channel is control+1. However,
> in the previous sentence he clearly states that control MAY NOT be
> the default (assigned) port. So I would prefer to change the last
> sentence to:
> 
> "Note that the SRV record MAY specify a non-default port number for
> the control channel; the default port number for the data channel is
> the next port number (control channel port + 1). However, in the
> case where the control channel uses a non-default port number, the
> WTP MAY perform a SRV lookup with Service name "capwap-data" and
> Proto "udp".  Thus, the name resolved in DNS would be e.g.,
> "_capwap-data._udp.example.com"."
> 
> Comments?

How would the WTP know whether the data channel is control+1, or 
found by another SRV lookup?

Something like "If the control channel port in the SRV record 
is 5246, data port is 5247; otherwise, the WTP MUST perform another
SRV lookup" would work, but IMHO it sounds like unnecessary
complexity -- is there any reason why the AC can't just pick 
two consecutive ports?

Best regards,
Pasi

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Thu, 7 Aug 2008 10:05:37 -0700

OK, in which case we need to include text in 3.1 that says that if an AC
uses the non-default control port, then the data port MUST be control+1.
Specifically, I would propose keeing your original text, and adding the
following text to section 3.1:

<new text>
3.1.  UDP Transport
[...]
   CAPWAP protocol data packets sent from the WTP to the AC use the
   CAPWAP data channel, as defined in Section 1.4.  The CAPWAP data port
   at the AC is the well known UDP port 5247.  If an AC permits the
   administrator to change the CAPWAP control port, the CAPWAP data port
   MUST be the next consecutive port number.  The CAPWAP data port at
   the WTP can be any port selected by the WTP.
</new text>

OK?

PatC 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Thursday, August 07, 2008 9:48 AM
To: Pat Calhoun (pacalhou); [email-masked]
Cc: [email-masked]
Subject: RE: [Capwap] Issue 156: Need more details on use of DNS for
discovery

Pat Calhoun wrote:
> in the IANA Considerations section in -12 (as requested during WG LC).

> I do, however, have an issue with the last sentence in Pasi's proposed

> previous sentence he clearly states that control MAY NOT be the 
> default (assigned) port. So I would prefer to change the last sentence

> to:
> the next port number (control channel port + 1). However, in the case 
> where the control channel uses a non-default port number, the WTP MAY 
> perform a SRV lookup with Service name "capwap-data" and Proto "udp".

> Thus, the name resolved in DNS would be e.g., 

How would the WTP know whether the data channel is control+1, or found
by another SRV lookup?

Something like "If the control channel port in the SRV record is 5246,
data port is 5247; otherwise, the WTP MUST perform another SRV lookup"
would work, but IMHO it sounds like unnecessary complexity -- is there
any reason why the AC can't just pick two consecutive ports?

Best regards,
Pasi

---

From: <[email-masked]>
Date: Thu, 7 Aug 2008 21:10:31 +0300

Works for me.

Best regards,
Pasi 

> Sent: 07 August, 2008 20:06
> To: Eronen Pasi (Nokia-NRC/Helsinki); [email-masked]
> Cc: [email-masked]
> Subject: RE: [Capwap] Issue 156: Need more details on use of 
> DNS for discovery
>